I don't see specifics on how to install kernel headers, which makes dkms and kernel module building problematic. Is there any new guidance here?

Code: Select all

pi@fire3:~$ sudo apt install rtl8812au-dkms
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following NEW packages will be installed:
  rtl8812au-dkms
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 0 B/1,024 kB of archives.
After this operation, 7,778 kB of additional disk space will be used.
debconf: delaying package configuration, since apt-utils is not installed
Selecting previously unselected package rtl8812au-dkms.
(Reading database ... 64651 files and directories currently installed.)
Preparing to unpack .../rtl8812au-dkms_4.3.8.12175.20140902+dfsg-0ubuntu2_all.deb ...
Unpacking rtl8812au-dkms (4.3.8.12175.20140902+dfsg-0ubuntu2) ...
Setting up rtl8812au-dkms (4.3.8.12175.20140902+dfsg-0ubuntu2) ...
Loading new rtl8812au-4.3.8.12175.20140902+dfsg DKMS files...
First Installation: checking all kernels...
dpkg: warning: version '*-*' has bad syntax: version number does not start with digit
It is likely that 4.4.49-s5p6818 belongs to a chroot's host
Module build for the currently running kernel was skipped since the
kernel source for this kernel does not seem to be installed.


Code: Select all

pi@fire3:~$ sudo apt-get install linux-headers-$(uname -r)
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package linux-headers-4.4.49-s5p6818
E: Couldn't find any package by glob 'linux-headers-4.4.49-s5p6818'
E: Couldn't find any package by regex 'linux-headers-4.4.49-s5p6818'